Create Location
1 min
POST
https://api.upstartcommerce.com/v1/location
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyobjectThe location to create.
201<p>Success-location created.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
curl --request POST \
--url https://api.upstartcommerce.com/v1/location \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"address": {
"city": "",
"country": "",
"postalCode": "",
"stateOrRegion": "",
"street1": ""
},
"contactInformation": "",
"content": [
{
"content": "",
"identifier": ""
}
],
"coordinates": {
"latitude": "",
"longitude": ""
},
"pickupHours": [
{
"day": "",
"isOpen": false
}
],
"hoursOfOperation": [
{
"day": "",
"isOpen": false
}
],
"locationType": "",
"name": "",
"operational": true,
"operationHoursExceptions": [
{
"exceptionType": "",
"isOpen": "",
"name": "Memorial Day"
}
],
"pickupHoursExceptions": [
{
"exceptionType": "",
"isOpen": "",
"name": "Memorial Day"
}
],
"pricingZone": "NTL",
"public": true
}'